WESNOTHD(6)

NAME
wesnothd - Battle for Wesnoth multiplayer network daemon

SYNOPSIS
wesnothd [-dv] [-c path] [-p port] [-t number] [-T number]
wesnothd -V

DESCRIPTION
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client (/query ...) or the fifo.

OPTIONS

-c path, --config path
    tells wesnothd where to find the config file to use. See the section SERVER CONFIG below for the syntax. You can reload the config with sending SIGHUP to the server process.

-d, --daemon
    runs wesnothd as a daemon.

-h, --help
    tells you what the command line options do.

--log-level=domain1,domain2,...
    sets the severity level of the log domains. all can be used to match any log domain. Available levels: error, warning, info, debug. By default the error level is used and the info level for the server domain.

-p port, --port port
    binds the server to the specified port. If no port is specified, port 15000 will be used.

-t number, --threads number
    sets the maximum number of waiting worker threads for network I/O to n (default: 5, max: 30).

-T number, --max-threads number
    sets the maximum number of worker threads that will be created. If set to 0 there will be no limit (default: 0).

-V, --version
    shows version number and exits.

-v, --verbose
    turns debug logging on.

SERVER CONFIG

  The general syntax is:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  Global keys:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    The number of allowed connections from the same IP. 0 means infinite. (default: 5)

disallow_names
    Names/nicks that are not accepted by the server. `*' and `?' from wildcard patterns are supported. See glob(7) for more details. Default values (used if nothing is specified) are: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    The number of allowed messages in messages_time_period. (default: 4)

messages_time_period
    The time period (in seconds) message flooding is detected in. (default: 10 seconds)

motd
    The message of the day.

passwd
    The password used to gain admin privileges. Usually it starts with `admin '.

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

versions_accepted
    A comma separated list of version strings to be accepted by the server. `*' and `?' from wildcard patterns are supported. (defaults to the corresponding wesnoth version)
    Example: versions_accepted="*" accepts any version string.

  Global tags:

[redirect] A tag to specify a server to redirect certain client versions to.

    host
        The address of the server to redirect to.

    port
        The port to connect to.

    version
        A comma separated list of versions to redirect. Behaves the same way as versions_accepted in regard to wildcard patterns.

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] A tag to tell the server to act as a proxy and forward the connected client's requests to the specified server. Accepts the same keys as [redirect].

AUTHOR
Written by David White <davidnwhite@verizon.net>. Edited by Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton.de@gmail.com>. This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wesnoth(6), wesnoth_editor(6)